public class Ans_5_2 extends MyFrame {
    public void run() {
        int y=30;
        int x=30;
        while (x<=250 && y<=250) {
            // (1) 画面を消す
            clear();
            // (2) 四角形を表示する
            setColor(0,128,0);
            fillRect(x, y, 10, 100); // xとyを用いて表示
            x+=5;
            y+=5;
            sleep(0.1);
        }
        while (x>=50) {
            // (1) 画面を消す
            clear();
            // (2) 四角形を表示する
            setColor(0,128,0);
            fillRect(x, y, 10, 100); // xとyを用いて表示
            x-=5;
            sleep(0.1);
        }
        while (x<=250 && y>=50) {
            // (1) 画面を消す
            clear();
            // (2) 四角形を表示する
            setColor(0,128,0);
            fillRect(x, y, 10, 100); // xとyを用いて表示
            x+=5;
            y-=5;
            sleep(0.1);
        }
    }
}
